#ifndef QUEST_BEHAVIOUR
#define QUEST_BEHAVIOUR

#include <gdk/gdkkeysyms.h>
#include "monster.h"
#include "map.h"
#include "types.h"
#include "global.h"

void parse_key_stack(GameControl** gamec);

void behave_do_nothing(GameControl** gamec,Monster* monster);
void behave_guard_up_down(GameControl** gamec,Monster* monster);

gint can_move_x_y(GameControl** gamec,gint x,gint y,gint access,Monster* bump);
gint can_move_thing(GameControl** gamec,Monster* monster,gint direction,Monster* bump);
void move_thing(GameControl** gamec,Monster* monster,gint direction);

#endif /* QUEST_BEHAVIOUR */
