#ifndef QUEST_GAMEC
#define QUEST_GAMEC

#include <gdk_imlib.h>
#include <gdk/gdkkeysyms.h>
#include "sprite.h"	/* for zap_sprite() */
#include "item.h"	/* for zap_item() */
#include "monster.h"	/* for zap_monster() */
#include "types.h"
#include "global.h"

GameControl* new_gamec();
void zap_gamec(GameControl* gamec);

void do_cycle(GameControl** gamec); /* the main game cycle */
void key_interface(GtkWidget* widget,GdkEventKey* event,GameControl** gamec);
void mouse_interface(GtkWidget* widget,GdkEventButton* event,GameControl** gamec);

void freeze_game(GameControl** gamec);

#endif /* QUEST_GAMEC */