#ifndef QUEST_MAP
#define QUEST_MAP

#include <stdlib.h>
#include <time.h>
#include "monster.h"
#include "item.h"
#include "types.h"	
#include "global.h"

Map* new_map();
void zap_map(Map* map);
Space* new_space();
void zap_space(Space* space);
Coords* new_coords(gint x, gint y);
void zap_coords(Coords* coords);
MapWin* new_map_window();
void zap_map_window(MapWin* map_window);

void set_space(GameControl** gamec,Space* space,gint16 kind,gint16 variation);

void add_to_map(GameControl** gamec,Monster* monster,gint x,gint y);
void remove_from_map(GameControl** gamec,Monster* monster);

gint update_compare(gconstpointer a,gconstpointer b);
void add_update(GameControl** gamec,gint x,gint y);
void remove_update(GameControl** gamec,gint x, gint y);

void random_fill_map(GameControl** gamec);

#endif /* QUEST_MAP */
