#ifndef QUEST_XFUNCS
#define QUEST_XFUNCS

#include <gtk/gtk.h>
#include "gamec.h"	/* for do_cycle() */
#include "sprite.h"	/* for make_map_area() */
#include "types.h"
#include "global.h"

void init_widgets(GameControl** gamec);

void print_image_list(GameControl** gamec);
void print_monster_list(GameControl** gamec);
void print_item_list(GameControl** gamec);
void print_cycle_cnt(GameControl** gamec);
void print_key_stack(GameControl** gamec);
void get_map_menu(GameControl** gamec);

void about(GameControl** gamec);
void about_close(GtkWidget *widget,gpointer data);

gint delete_event(GtkWidget *widget,GdkEvent *event,gpointer data);
void destroy(GtkWidget *widget,gpointer data);
gint configure_event(GtkWidget *widget,GdkEventConfigure *event,GameControl** gamec);
gint expose_event(GtkWidget *widget,GdkEventExpose *event,GameControl** gamec);
        
#endif /* QUEST_XFUNCS */
